using System;

internal sealed class Delegate395 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate395 delegate395_1)
	{
		return delegate395_1(object_0);
	}

	public extern Delegate395(object object_0, IntPtr intptr_0);

	static Delegate395()
	{
		Class10.smethod_13(typeof(Delegate395).TypeHandle);
	}

	internal static Delegate395 delegate395_0;
}
